# Requirements

## ceiling provide van
- user must search records in a csvs dataset
## fetch prosper action
- user must specify custom read method
## obtain now nephew
- user must specify custom write method
## public table feed
- user must specify custom grep method
## grit crop marine
- user must edit record in a csvs dataset
## worth milk eight
- user must delete record from a csvs dataset
## wedding regular across
- user must add record to a csvs dataset
## kiwi initial demand
- user can optimize csvs dataset files
## budget swear ill
- user must stream query results
## false swear whisper
- user should find 100k records in under 1 second
## people audit view
- user must add records in bulk
## need bread nurse
- user must edit records in bulk
## payment reopen item
- user must delete records in bulk
## prison chunk bring
- user must search all keys
## bridge trip tobacco
- user must build record from key
## kitchen believe youth
- user must search dataset with multiple trunks
## neutral clutch blame
- user must consistently reproduce dataset contents
